package com.googlecode.wicketcharts.highcharts;

import org.apache.wicket.markup.html.WebMarkupContainer;

import com.googlecode.wicketcharts.highcharts.options.Options;

/**
 * A simple markup container to display a chart.
 * 
 * @author Tom Hombergs (tom.hombergs@gmail.com)
 * 
 */
public class HighChartContainer extends WebMarkupContainer {

	private static final long serialVersionUID = 1L;

	private Options options;

	public HighChartContainer(String id, Options options) {
		super(id);
		this.options = options;
		setOutputMarkupId(true);
		add(new HighChartBehavior(this));
	}

	public Options getOptions() {
		return options;
	}

	public void setOptions(Options options) {
		this.options = options;
	}

}
