package com.googlecode.wicketcharts.highcharts.options;

import java.awt.Color;

/**
 * Defined options for the buttons of a chart.
 * 
 * @see <a
 *      href="http://api.highcharts.com/highcharts#navigation.buttonOptions">http://api.highcharts.com/highcharts#navigation.buttonOptions</a>
 * @author Tom Hombergs (tom.hombergs@gmail.com)
 * 
 */
public class ButtonOptions extends JsonObject {

	private static final long serialVersionUID = 1L;

	private HorizontalAlignment align;

	private Color backgroundColor;

	private Color borderColor;

	private Integer borderRadius;

	private Integer borderWidth;

	private Boolean enabled;

	private Integer height;

	private Color hoverBorderColor;

	private Color hoverSymbolFill;

	private Color hoverSymbolStroke;

	private Color symbolFill;

	private Integer symbolSize;

	private Color symbolStroke;

	private Integer symbolStrokeWidth;

	private Float symbolX;

	private Float symbolY;

	private VerticalAlignment verticalAlign;

	private Integer width;

	private Integer y;

	public HorizontalAlignment getAlign() {
		return align;
	}

	public void setAlign(HorizontalAlignment align) {
		this.align = align;
	}

	public Color getBackgroundColor() {
		return backgroundColor;
	}

	public void setBackgroundColor(Color backgroundColor) {
		this.backgroundColor = backgroundColor;
	}

	public Color getBorderColor() {
		return borderColor;
	}

	public void setBorderColor(Color borderColor) {
		this.borderColor = borderColor;
	}

	public Integer getBorderRadius() {
		return borderRadius;
	}

	public void setBorderRadius(Integer borderRadius) {
		this.borderRadius = borderRadius;
	}

	public Integer getBorderWidth() {
		return borderWidth;
	}

	public void setBorderWidth(Integer borderWidth) {
		this.borderWidth = borderWidth;
	}

	public Boolean getEnabled() {
		return enabled;
	}

	public void setEnabled(Boolean enabled) {
		this.enabled = enabled;
	}

	public Integer getHeight() {
		return height;
	}

	public void setHeight(Integer height) {
		this.height = height;
	}

	public Color getHoverBorderColor() {
		return hoverBorderColor;
	}

	public void setHoverBorderColor(Color hoverBorderColor) {
		this.hoverBorderColor = hoverBorderColor;
	}

	public Color getHoverSymbolFill() {
		return hoverSymbolFill;
	}

	public void setHoverSymbolFill(Color hoverSymbolFill) {
		this.hoverSymbolFill = hoverSymbolFill;
	}

	public Color getHoverSymbolStroke() {
		return hoverSymbolStroke;
	}

	public void setHoverSymbolStroke(Color hoverSymbolStroke) {
		this.hoverSymbolStroke = hoverSymbolStroke;
	}

	public Color getSymbolFill() {
		return symbolFill;
	}

	public void setSymbolFill(Color symbolFill) {
		this.symbolFill = symbolFill;
	}

	public Integer getSymbolSize() {
		return symbolSize;
	}

	public void setSymbolSize(Integer symbolSize) {
		this.symbolSize = symbolSize;
	}

	public Color getSymbolStroke() {
		return symbolStroke;
	}

	public void setSymbolStroke(Color symbolStroke) {
		this.symbolStroke = symbolStroke;
	}

	public Integer getSymbolStrokeWidth() {
		return symbolStrokeWidth;
	}

	public void setSymbolStrokeWidth(Integer symbolStrokeWidth) {
		this.symbolStrokeWidth = symbolStrokeWidth;
	}

	public Float getSymbolX() {
		return symbolX;
	}

	public void setSymbolX(Float symbolX) {
		this.symbolX = symbolX;
	}

	public Float getSymbolY() {
		return symbolY;
	}

	public void setSymbolY(Float symbolY) {
		this.symbolY = symbolY;
	}

	public VerticalAlignment getVerticalAlign() {
		return verticalAlign;
	}

	public void setVerticalAlign(VerticalAlignment verticalAlign) {
		this.verticalAlign = verticalAlign;
	}

	public Integer getWidth() {
		return width;
	}

	public void setWidth(Integer width) {
		this.width = width;
	}

	public Integer getY() {
		return y;
	}

	public void setY(Integer y) {
		this.y = y;
	}

}
