package com.googlecode.wicketcharts.highcharts.options;

/**
 * Defines the location pf a pie chart
 * 
 * @see <a href="http://api.highcharts.com/highcharts#plotOptions.pie.center">http://api.highcharts.com/highcharts#plotOptions.pie.center</a>
 * @author Tom Hombergs (tom.hombergs@gmail.com)
 * 
 */
public class Center extends JsonObject {

	private static final long serialVersionUID = 1L;

	private final int x;

	private final int y;

	private final Unit unit;

	public enum Unit {

		PERCENT,

		PIXELS;
	};

	public Center(int x, int y, Unit unit) {
		this.x = x;
		this.y = y;
		this.unit = unit;
	}

	public Unit getUnit() {
		return unit;
	}

	public int getY() {
		return y;
	}

	public int getX() {
		return x;
	}

}
