package com.googlecode.wicketcharts.highcharts.options;

import java.awt.Color;

/**
 * Defines the configuration of the "dataLabels" option.
 * 
 * @see <a
 *      href="http://api.highcharts.com/highcharts#plotOptions.column.dataLabels</a> and
 *      others
 * @author Tom Hombergs (tom.hombergs@gmail.com)
 */
public class DataLabels extends JsonObject {

	private static final long serialVersionUID = 1L;

	private HorizontalAlignment align;

	private Color backgroundColor;

	private Color borderColor;

	private Integer borderRadius;

	private Integer vorderWidth;

	private Color color;

	private Boolean enabled;

	private DummyOption formatter;

	private Overflow overflow;

	private Integer padding;

	private Integer rotation;

	private Boolean shadow;

	private DummyOption style;

	private Integer x;

	private Integer y;

	/**
	 * Empty constructor.
	 */
	public DataLabels() {

	}

	/**
	 * Convenience constructor.
	 */
	public DataLabels(Boolean enabled) {
		this.enabled = enabled;
	}

	public HorizontalAlignment getAlign() {
		return align;
	}

	public void setAlign(HorizontalAlignment align) {
		this.align = align;
	}

	public Color getBackgroundColor() {
		return backgroundColor;
	}

	public void setBackgroundColor(Color backgroundColor) {
		this.backgroundColor = backgroundColor;
	}

	public Color getBorderColor() {
		return borderColor;
	}

	public void setBorderColor(Color borderColor) {
		this.borderColor = borderColor;
	}

	public Integer getBorderRadius() {
		return borderRadius;
	}

	public void setBorderRadius(Integer borderRadius) {
		this.borderRadius = borderRadius;
	}

	public Integer getVorderWidth() {
		return vorderWidth;
	}

	public void setVorderWidth(Integer vorderWidth) {
		this.vorderWidth = vorderWidth;
	}

	public Color getColor() {
		return color;
	}

	public void setColor(Color color) {
		this.color = color;
	}

	public Boolean getEnabled() {
		return enabled;
	}

	public void setEnabled(Boolean enabled) {
		this.enabled = enabled;
	}

	public DummyOption getFormatter() {
		return formatter;
	}

	public void setFormatter(DummyOption formatter) {
		this.formatter = formatter;
	}

	public Overflow getOverflow() {
		return overflow;
	}

	public void setOverflow(Overflow overflow) {
		this.overflow = overflow;
	}

	public Integer getPadding() {
		return padding;
	}

	public void setPadding(Integer padding) {
		this.padding = padding;
	}

	public Integer getRotation() {
		return rotation;
	}

	public void setRotation(Integer rotation) {
		this.rotation = rotation;
	}

	public Boolean getShadow() {
		return shadow;
	}

	public void setShadow(Boolean shadow) {
		this.shadow = shadow;
	}

	public DummyOption getStyle() {
		return style;
	}

	public void setStyle(DummyOption style) {
		this.style = style;
	}

	public Integer getX() {
		return x;
	}

	public void setX(Integer x) {
		this.x = x;
	}

	public Integer getY() {
		return y;
	}

	public void setY(Integer y) {
		this.y = y;
	}

}
