package com.googlecode.wicketcharts.highcharts.options;

/**
 * Defines some label in a chart.
 * 
 * @see <a
 *      href="http://api.highcharts.com/highcharts#yAxis.plotLines.label">http://api.highcharts.com/highcharts#yAxis.plotLines.label</a>
 *      and others
 * @author Tom Hombergs (tom.hombergs@gmail.com)
 * 
 */
public class Label extends JsonObject {

	private static final long serialVersionUID = 1L;

	private HorizontalAlignment align;

	private Integer rotation;

	private DummyOption style;

	private HorizontalAlignment textAlign;

	private VerticalAlignment verticalAlign;

	private Integer x;

	private Integer y;

	public HorizontalAlignment getAlign() {
		return align;
	}

	public void setAlign(HorizontalAlignment align) {
		this.align = align;
	}

	public Integer getRotation() {
		return rotation;
	}

	public void setRotation(Integer rotation) {
		this.rotation = rotation;
	}

	public DummyOption getStyle() {
		return style;
	}

	public void setStyle(DummyOption style) {
		this.style = style;
	}

	public HorizontalAlignment getTextAlign() {
		return textAlign;
	}

	public void setTextAlign(HorizontalAlignment textAlign) {
		this.textAlign = textAlign;
	}

	public VerticalAlignment getVerticalAlign() {
		return verticalAlign;
	}

	public void setVerticalAlign(VerticalAlignment verticalAlign) {
		this.verticalAlign = verticalAlign;
	}

	public Integer getX() {
		return x;
	}

	public void setX(Integer x) {
		this.x = x;
	}

	public Integer getY() {
		return y;
	}

	public void setY(Integer y) {
		this.y = y;
	}

}
