package com.googlecode.wicketcharts.highcharts.options;

import java.awt.Color;

/**
 * Defines a colored band across a grid chart.
 * 
 * @see <a
 *      href="http://api.highcharts.com/highcharts#yAxis.plotBands">http://api.highcharts.com/highcharts#yAxis.plotBands</a>
 * @author Tom Hombergs (tom.hombergs@gmail.com)
 * 
 */
public class PlotBands extends JsonObject {

	private static final long serialVersionUID = 1L;

	private Color color;

	private DummyOption events;

	private Integer from;

	private Integer to;

	private String id;

	private Label label;

	private Integer zIndex;

	public Color getColor() {
		return color;
	}

	public void setColor(Color color) {
		this.color = color;
	}

	public DummyOption getEvents() {
		return events;
	}

	public void setEvents(DummyOption events) {
		this.events = events;
	}

	public Integer getFrom() {
		return from;
	}

	public void setFrom(Integer from) {
		this.from = from;
	}

	public Integer getTo() {
		return to;
	}

	public void setTo(Integer to) {
		this.to = to;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Label getLabel() {
		return label;
	}

	public void setLabel(Label label) {
		this.label = label;
	}

	public Integer getzIndex() {
		return zIndex;
	}

	public void setzIndex(Integer zIndex) {
		this.zIndex = zIndex;
	}

}
