package com.googlecode.wicketcharts.highcharts.options;

import java.awt.Color;

/**
 * Defines a plot line in a chart.
 * 
 * @see <a
 *      href="http://api.highcharts.com/highcharts#yAxis.plotLines">http://api.highcharts.com/highcharts#yAxis.plotLines</a>
 * @author Tom Hombergs (tom.hombergs@gmail.com)
 * 
 */
public class PlotLines extends JsonObject {

	private static final long serialVersionUID = 1L;

	private Color color;

	private GridLineDashStyle dashStyle;

	private DummyOption events;

	private String id;

	private Label label;

	private Float value;

	private Integer width;

	private Integer zIndex;

	public Color getColor() {
		return color;
	}

	public void setColor(Color color) {
		this.color = color;
	}

	public GridLineDashStyle getDashStyle() {
		return dashStyle;
	}

	public void setDashStyle(GridLineDashStyle dashStyle) {
		this.dashStyle = dashStyle;
	}

	public DummyOption getEvents() {
		return events;
	}

	public void setEvents(DummyOption events) {
		this.events = events;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Label getLabel() {
		return label;
	}

	public void setLabel(Label label) {
		this.label = label;
	}

	public Float getValue() {
		return value;
	}

	public void setValue(Float value) {
		this.value = value;
	}

	public Integer getWidth() {
		return width;
	}

	public void setWidth(Integer width) {
		this.width = width;
	}

	public Integer getzIndex() {
		return zIndex;
	}

	public void setzIndex(Integer zIndex) {
		this.zIndex = zIndex;
	}

}
