package com.googlecode.wicketcharts.highcharts.options;

import java.awt.Color;

/**
 * Defines the configuration of the "plotOptions" option.
 * 
 * @see <a href="http://api.highcharts.com/highcharts#plotOptions">http://api.highcharts.com/highcharts#plotOptions</a>
 * @author Tom Hombergs (tom.hombergs@gmail.com)
 * 
 */
public class PlotOptions extends JsonObject {

	private static final long serialVersionUID = 1L;

	private Boolean allowPointSelect;

	private Boolean animation;

	private Color borderColor;

	private Integer borderRadius;

	private Integer borderWidth;

	private Color color;

	private Boolean colorByPoint;

	private Integer cropThreshold;

	private Cursor cursor;

	private DummyOption dataLabels;

	private Boolean enableMouseTracking;

	private DummyOption events;

	private Float groupPadding;

	private String id;

	private Integer minPointLength;

	private DummyOption point;

	private Integer pointInterval;

	private Float pointPadding;

	private Integer pointStart;

	private Integer pointWidth;

	private Boolean selected;

	private Boolean shadow;

	private Boolean showCheckbox;

	private Boolean showInLegend;

	private Stacking stacking;

	private StatesChoice states;

	private Boolean stickyTracking;

	private DummyOption tooltip;

	private Integer turboThreshold;

	private Boolean visible;

	private Integer zIndex;

	private Boolean connectNulls;

	private GridLineDashStyle dashStyle;

	private Color fillColor;

	private Float fillOpacity;

	private Color lineColor;

	private Integer lineWidth;

	private Marker marker;

	private Integer threshold;

	private Boolean trackByArea;
	
	private Boolean step;
	
	private Center center;
	
	private PixelOrPercent innerSize;
	
	private PixelOrPercent size;
	
	private Integer slicedOffset;
	
	public Boolean getStep() {
		return step;
	}

	public void setStep(Boolean step) {
		this.step = step;
	}

	public Center getCenter() {
		return center;
	}

	public void setCenter(Center center) {
		this.center = center;
	}

	public PixelOrPercent getInnerSize() {
		return innerSize;
	}

	public void setInnerSize(PixelOrPercent innerSize) {
		this.innerSize = innerSize;
	}

	public PixelOrPercent getSize() {
		return size;
	}

	public void setSize(PixelOrPercent size) {
		this.size = size;
	}

	public Integer getSlicedOffset() {
		return slicedOffset;
	}

	public void setSlicedOffset(Integer slicedOffset) {
		this.slicedOffset = slicedOffset;
	}

	public Boolean getAllowPointSelect() {
		return allowPointSelect;
	}

	public void setAllowPointSelect(Boolean allowPointSelect) {
		this.allowPointSelect = allowPointSelect;
	}

	public Boolean getAnimation() {
		return animation;
	}

	public void setAnimation(Boolean animation) {
		this.animation = animation;
	}

	public Color getBorderColor() {
		return borderColor;
	}

	public void setBorderColor(Color borderColor) {
		this.borderColor = borderColor;
	}

	public Integer getBorderRadius() {
		return borderRadius;
	}

	public void setBorderRadius(Integer borderRadius) {
		this.borderRadius = borderRadius;
	}

	public Integer getBorderWidth() {
		return borderWidth;
	}

	public void setBorderWidth(Integer borderWidth) {
		this.borderWidth = borderWidth;
	}

	public Color getColor() {
		return color;
	}

	public void setColor(Color color) {
		this.color = color;
	}

	public Boolean getColorByPoint() {
		return colorByPoint;
	}

	public void setColorByPoint(Boolean colorByPoint) {
		this.colorByPoint = colorByPoint;
	}

	public Integer getCropThreshold() {
		return cropThreshold;
	}

	public void setCropThreshold(Integer cropThreshold) {
		this.cropThreshold = cropThreshold;
	}

	public Cursor getCursor() {
		return cursor;
	}

	public void setCursor(Cursor cursor) {
		this.cursor = cursor;
	}

	public DummyOption getDataLabels() {
		return dataLabels;
	}

	public void setDataLabels(DummyOption dataLabels) {
		this.dataLabels = dataLabels;
	}

	public Boolean getEnableMouseTracking() {
		return enableMouseTracking;
	}

	public void setEnableMouseTracking(Boolean enableMouseTracking) {
		this.enableMouseTracking = enableMouseTracking;
	}

	public DummyOption getEvents() {
		return events;
	}

	public void setEvents(DummyOption events) {
		this.events = events;
	}

	public Float getGroupPadding() {
		return groupPadding;
	}

	public void setGroupPadding(Float groupPadding) {
		this.groupPadding = groupPadding;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getMinPointLength() {
		return minPointLength;
	}

	public void setMinPointLength(Integer minPointLength) {
		this.minPointLength = minPointLength;
	}

	public DummyOption getPoint() {
		return point;
	}

	public void setPoint(DummyOption point) {
		this.point = point;
	}

	public Integer getPointInterval() {
		return pointInterval;
	}

	public void setPointInterval(Integer pointInterval) {
		this.pointInterval = pointInterval;
	}

	public Float getPointPadding() {
		return pointPadding;
	}

	public void setPointPadding(Float pointPadding) {
		this.pointPadding = pointPadding;
	}

	public Integer getPointStart() {
		return pointStart;
	}

	public void setPointStart(Integer pointStart) {
		this.pointStart = pointStart;
	}

	public Integer getPointWidth() {
		return pointWidth;
	}

	public void setPointWidth(Integer pointWidth) {
		this.pointWidth = pointWidth;
	}

	public Boolean getSelected() {
		return selected;
	}

	public void setSelected(Boolean selected) {
		this.selected = selected;
	}

	public Boolean getShadow() {
		return shadow;
	}

	public void setShadow(Boolean shadow) {
		this.shadow = shadow;
	}

	public Boolean getShowCheckbox() {
		return showCheckbox;
	}

	public void setShowCheckbox(Boolean showCheckbox) {
		this.showCheckbox = showCheckbox;
	}

	public Boolean getShowInLegend() {
		return showInLegend;
	}

	public void setShowInLegend(Boolean showInLegend) {
		this.showInLegend = showInLegend;
	}

	public Stacking getStacking() {
		return stacking;
	}

	public void setStacking(Stacking stacking) {
		this.stacking = stacking;
	}

	public Boolean getStickyTracking() {
		return stickyTracking;
	}

	public void setStickyTracking(Boolean stickyTracking) {
		this.stickyTracking = stickyTracking;
	}

	public DummyOption getTooltip() {
		return tooltip;
	}

	public void setTooltip(DummyOption tooltip) {
		this.tooltip = tooltip;
	}

	public Integer getTurboThreshold() {
		return turboThreshold;
	}

	public void setTurboThreshold(Integer turboThreshold) {
		this.turboThreshold = turboThreshold;
	}

	public Boolean getVisible() {
		return visible;
	}

	public void setVisible(Boolean visible) {
		this.visible = visible;
	}

	public Integer getzIndex() {
		return zIndex;
	}

	public void setzIndex(Integer zIndex) {
		this.zIndex = zIndex;
	}

	public Boolean getConnectNulls() {
		return connectNulls;
	}

	public void setConnectNulls(Boolean connectNulls) {
		this.connectNulls = connectNulls;
	}

	public GridLineDashStyle getDashStyle() {
		return dashStyle;
	}

	public void setDashStyle(GridLineDashStyle dashStyle) {
		this.dashStyle = dashStyle;
	}

	public Color getFillColor() {
		return fillColor;
	}

	public void setFillColor(Color fillColor) {
		this.fillColor = fillColor;
	}

	public Float getFillOpacity() {
		return fillOpacity;
	}

	public void setFillOpacity(Float fillOpacity) {
		this.fillOpacity = fillOpacity;
	}

	public Color getLineColor() {
		return lineColor;
	}

	public void setLineColor(Color lineColor) {
		this.lineColor = lineColor;
	}

	public Integer getLineWidth() {
		return lineWidth;
	}

	public void setLineWidth(Integer lineWidth) {
		this.lineWidth = lineWidth;
	}

	public Marker getMarker() {
		return marker;
	}

	public void setMarker(Marker marker) {
		this.marker = marker;
	}

	public Integer getThreshold() {
		return threshold;
	}

	public void setThreshold(Integer threshold) {
		this.threshold = threshold;
	}

	public Boolean getTrackByArea() {
		return trackByArea;
	}

	public void setTrackByArea(Boolean trackByArea) {
		this.trackByArea = trackByArea;
	}

	public void setStates(StatesChoice states) {
		this.states = states;
	}

	public StatesChoice getStates() {
		return states;
	}

}
