package com.googlecode.wicketcharts.highcharts.options;

import com.googlecode.wicketcharts.highcharts.gson.GsonLowercaseEnum;

/**
 * Enumeration of the possible types of charts. The data contained in a series
 * will be displayed as one of these types-
 * 
 * @see <a href="http://api.highcharts.com/highcharts#series.type">http://api.highcharts.com/highcharts#series.type</a>
 * @author Tom Hombergs (tom.hombergs@gmail.com)
 * 
 */
public enum SeriesType implements GsonLowercaseEnum {

	AREA,

	AREASPLINE,

	BAR,

	COLUMN,

	LINE,

	PIE,

	SCATTER,

	SPLINE

}
