package com.googlecode.wicketcharts.highcharts.options;

/**
 * Defines the configuration of the "title" option.
 * 
 * @see <a href="http://api.highcharts.com/highcharts#title">http://api.highcharts.com/highcharts#title</a>
 * @author Tom Hombergs (tom.hombergs@gmail.com)
 * 
 */
public class Title extends JsonObject {

	private static final long serialVersionUID = 1L;

	private HorizontalAlignment align;

	private Boolean enabled;

	private Integer offset;

	private Integer rotation;

	private DummyOption style;

	private Boolean floating;

	private Integer margin;

	private String text;

	private VerticalAlignment verticalAlign;
	
	private Integer x;
	
	private Integer y;

	public Title(String text) {
		this.text = text;
	}

	public void setAlign(HorizontalAlignment align) {
		this.align = align;
	}

	public HorizontalAlignment getAlign() {
		return align;
	}

	public void setFloating(Boolean floating) {
		this.floating = floating;
	}

	public Boolean getFloating() {
		return floating;
	}

	public void setMargin(Integer margin) {
		this.margin = margin;
	}

	public Integer getMargin() {
		return margin;
	}

	public void setText(String text) {
		this.text = text;
	}

	public String getText() {
		return text;
	}

	public void setVerticalAlign(VerticalAlignment verticalAlign) {
		this.verticalAlign = verticalAlign;
	}

	public VerticalAlignment getVerticalAlign() {
		return verticalAlign;
	}

	public Boolean getEnabled() {
		return enabled;
	}

	public void setEnabled(Boolean enabled) {
		this.enabled = enabled;
	}

	public Integer getOffset() {
		return offset;
	}

	public void setOffset(Integer offset) {
		this.offset = offset;
	}

	public Integer getRotation() {
		return rotation;
	}

	public void setRotation(Integer rotation) {
		this.rotation = rotation;
	}

	public DummyOption getStyle() {
		return style;
	}

	public void setStyle(DummyOption style) {
		this.style = style;
	}

	public void setY(Integer y) {
		this.y = y;
	}

	public Integer getY() {
		return y;
	}

	public void setX(Integer x) {
		this.x = x;
	}

	public Integer getX() {
		return x;
	}

}
